# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.batch
Interface IBatchInterrupted

All Known Implementing Classes:
  BatchInterrupted

    public interface IBatchInterrupted

Shared BatchInterrupted interface between old and new data models.

Method Summary
`java.lang.String` `getContent()` Returns the content of the interrupted element.
`ContentType` `getContentType()` Returns the content type of the interrupted element.
`int` `getErrorCount()` Returns the number of entries which had errors.
`java.lang.String` `getReason()` Returns the reason this batch was interrupted.
`int` `getSkippedCount()` Returns the number of entries which were parsed but not processed.
`int` `getSuccessCount()` Returns the number of entries which processed successfully.
`int` `getTotalCount()` Returns the number of entries which were parsed.

Method Detail

### getContent

    java.lang.String getContent()

  Returns the content of the interrupted element.

  Returns:
    the content of the element.

### getContentType

    ContentType getContentType()

  Returns the content type of the interrupted element.

  Returns:
    the content type.

### getErrorCount

    int getErrorCount()

  Returns the number of entries which had errors.

  Returns:
    the number of entries which failed.

### getReason

    java.lang.String getReason()

  Returns the reason this batch was interrupted.

  Returns:
    the reason for the interruption.

### getSkippedCount

    int getSkippedCount()

  Returns the number of entries which were parsed but not processed.

  Returns:
    the number of skipped entries.

### getSuccessCount

    int getSuccessCount()

  Returns the number of entries which processed successfully.

  Returns:
    number of successfully processed entries.

### getTotalCount

    int getTotalCount()

  Returns the number of entries which were parsed.

  Returns:
    total number of parsed entries.